%define		major 1
%define 	name gda2.0
%define		pkgname libgda

%define libname	%mklibname %{name}_ %major 
Summary:	GNU Data Access
Name: 		%name
Version:	0.91.0
Release: 	1mdk
License: 	GPL/LGPL
Group: 		Databases
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2
PreReq:		scrollkeeper >= 0.3
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  openldap-devel
BuildRequires:	MySQL-devel
BuildRequires:  unixODBC-devel
BuildRequires:	bison
BuildRequires:	libbonobo-activation-devel >= 0.7.0
BuildRequires:	libGConf2-devel
BuildRequires:	gdbm-devel
BuildRequires:	libxslt-devel
BuildRequires:	postgresql-devel
BuildRequires:	scrollkeeper >= 0.3
URL: 		http://www.gnome-db.org/

%description
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

%package -n %{libname}
Summary:	GNU Data Access Development
Group: 		System/Libraries

%description -n %{libname}
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

%package -n %{libname}-devel
Summary:	GNU Data Access Development
Group: 		Development/Databases
Requires:	%{libname} = %{version}-%{release}
Requires:	libxslt-devel
Requires:	glib2-devel
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

%package -n %{name}-postgres
Summary:	GDA PostgreSQL Provider
Group:		Databases
Requires:	%{name} = %{version}-%{release}

%description -n %{name}-postgres
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

This package includes the GDA PostgreSQL provider

%package -n %{name}-mysql
Summary:	GDA MySQL Provider
Group:		Databases
Requires:	%{name} = %{version}-%{release}

%description -n %{name}-mysql
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

This package includes the GDA MySQL provider

%package -n %{name}-odbc
Summary:	GDA ODBC Provider
Group:		Databases
Requires:	%{name} = %{version}-%{release}

%description -n %{name}-odbc
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

This package includes the GDA ODBC provider.

%package -n %{name}-ldap
Summary:	GDA LDAP Provider
Group:		Databases
Requires:	%{name} = %{version}-%{release}

%description -n %{name}-ldap
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome-db.org/), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

This package includes the GDA LDAP provider.

%prep
%setup -q -n %{pkgname}-%{version}

%build

# we don't use libtool 1.5 yet
%define __libtoolize /bin/true

%configure2_5x --with-postgres --with-mysql \
	--with-odbc --with-ldap

#parallel build is broken
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%{find_lang} %{pkgname}-2 --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
							  
%postun -n %{libname} -p /sbin/ldconfig

%postun
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi

							  
%files -f %{pkgname}-2.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/gda-test
%{_bindir}/gda-run
%{_bindir}/gda-report-test
%config(noreplace) %{_sysconfdir}/libgda/config
%{_datadir}/libgda
%{_datadir}/omf/libgda
%{_mandir}/man1/*
%{_mandir}/man5/*
%dir %{_libdir}/libgda
%dir %{_libdir}/libgda/providers
%{_libdir}/libgda/providers/libgda-xml.so

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/libgda-2*.so.*
%{_libdir}/libgda-report-2.so.*
%{_libdir}/libgdasql*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%doc %{_datadir}/gtk-doc/html/libgda
%{_bindir}/gda-config-tool
%{_libdir}/lib*.so
%{_libdir}/libgda*.*a
%{_libdir}/libgda/providers/*.*a
%{_libdir}/pkgconfig/*
%{_includedir}/libgda/*
%{_includedir}/libgda-report/*

%files -n %{name}-postgres
%defattr(-, root, root)
%{_libdir}/libgda/providers/libgda-postgres*.so

%files -n %{name}-mysql
%defattr(-, root, root)
%{_libdir}/libgda/providers/libgda-mysql*.so

%files -n %{name}-odbc
%defattr(-, root, root)
%{_libdir}/libgda/providers/libgda-odbc*.so

%files -n %{name}-ldap
%defattr(-, root, root)
%{_libdir}/libgda/providers/libgda-ldap*.so


%changelog
* Thu Aug  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.91.0-1mdk
- Release 0.91.0
- Add missing unixODBC-devel buildrequires
- Remove patch2 (merged upstream)

* Wed Jul 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.90.0-1mdk
- Release 0.90.0
- Remove patch3 (no needed)

* Tue Jun 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.12.1-1mdk
- Release 0.12.1

* Wed Jun 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.12.0-1mdk
- Release 0.12.0
- Regenerate patch2

* Fri Apr 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.11.0-3mdk
- Fix BuildRequires
- Fix various dependencies
- Remove unneeded post/postun scripts
- move API doc in -devel package
- ensure directories are owned by package

* Mon Apr 14 2003 Marcel Pol <mpol@gmx.net> 0.11.0-3mdk
- fix requires

* Mon Apr 14 2003 Marcel Pol <mpol@gmx.net> 0.11.0-2mdk
- use autoconf-2.5x

* Fri Mar 21 2003 Marcel Pol <mpol@gmx.net> 0.11.0-1mdk
- libgda2 with changes from Quel Qun <kelk1@hotmail.com>
- drop patch1 and patch4
- update patch2 and patch4

* Tue Mar  4 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 0.2.96-9mdk
- rebuild package with libpq.so.3, since the package hasn't been rebuilt
  since August.

* Tue Aug 13 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.96-8mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Tue Aug  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.96-7mdk
- Patch4: use DTD compliant OMF file

* Fri Aug  2 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.96-6mdk
- Update patch3 to fix typo in gda-config

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.96-5mdk
- Automated rebuild with gcc3.2

* Mon Jul 22 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.96-4mdk
- Patch3: MDK config is to have prefix=/usr. As such, we lead to
  -L/usr/lib in gda-config which generally is wrong on lib64
  architectures. Simply nuke explicit reference to -L/usr/lib as this
  is a system search path already.

* Mon Jul 22 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.96-3mdk
- Remove Patch2 (64bit) since Merged upstream
- Patch2: Look for PostgreSQL and MySQL libraries in the right directories

* Fri Apr 19 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.96-2mdk
- Patch1: ISO C++ fixes, aka fix build with gcc3+:
  - Don't assume namespace std scope is global scope
  - Don't redefine default arguments

* Wed Mar 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.96-1mdk
- Release 0.2.96

* Fri Jan 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.95-1mdk
- release 0.2.95

* Mon Dec  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.93-4mdk
- Fix reference directory in .la files
- Use makeinstall_std macro

* Mon Dec  3 2001 Stefan van der Eijk <stefan@eijk.nu> 0.2.93-3mdk
- fix BuildRequires

* Sun Nov  4 2001 Stefan van der Eijk <stefan@eijk.nu> 0.2.93-2mdk
- fix BuildRequires

* Tue Oct 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.93-1mdk
- Release 0.2.93
- Remove patch 1 (no longer needed)

* Mon Oct  1 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.91-1mdk
- Release 0.2.91
- Add support for scrollkeeper

* Sun Jul 01 2001 Stefan van der Eijk <stefan@eijk.nu> 0.2.10-2mdk
- BuildRequires: gdbm-devel
- BuildRequires: perl-devel
- BuildRequires: popt-devel

* Wed Jun 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.10-1mdk
- Release 0.2.10

* Tue Jun 26 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 0.2.9-2mdk
- fix ugly casting in lemon : should work for all 64bit platform

* Tue Jun 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.9-1mdk
- new version for gnumeric 0.65 (R. Chaillat)
- Remove patch0

* Mon Mar 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.3-2mdk
- Disable checking of glib2 (patch0)

* Thu Feb 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.3-1mdk
- Release 0.2.3

* Tue Feb 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.2-1mdk
- First mandrake package
- Libified

* Sat Sep 2 2000 Rodrigo Moya <rodrigo@linuxave.net>
- Initial spec imported from old GNOME-DB spec
